/* 
 *  PREPRO 1.0
 *  Created on 1-May-2006
 * 
 *  Copyright (C) 2005-2006 the MAGIC team.
 *  Author(s): Faddy Saad <magicprepro@gmail.com>.
 *
 *
 *  This file is part of MAGIC, an Integrative and Accurate Comparative
 *  Genome Mapping tool.
 *
 *
 *  MAGIC is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GCC; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 */


#ifndef _GLOBALVARIABLES_
#define _GLOBALVARIABLES_

#include <string>
using namespace std;

/**************************************************************/
/*********************** globalVars.h *************************/
/**************************************************************/

extern unsigned long gapJoinLen;
extern unsigned long gapExtractLen;
extern unsigned long stitchDifference;
extern unsigned long stitchDistance;
extern unsigned long stitchMinLen;
extern int circular1;
extern int circular2;
extern string eValue;
extern string input1;
extern string input2;
extern string input3;
//extern ofstream errors;
//extern ofstream finish;

/**************************************************************/

#endif

