/* 
 *  PREPRO 1.0
 *  Created on 1-May-2006
 * 
 *  Copyright (C) 2005-2006 the MAGIC team.
 *  Author(s): Faddy Saad <magicprepro@gmail.com>.
 *
 *
 *  This file is part of MAGIC, an Integrative and Accurate Comparative
 *  Genome Mapping tool.
 *
 *
 *  MAGIC is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with GCC; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 */


#include<iostream>
#include<fstream>
#include "globalVars.h"

/****************************************************************/
/*********************** globalVars.cpp *************************/
/****************************************************************/


unsigned long gapJoinLen=110;
unsigned long gapExtractLen=200;
unsigned long stitchDifference=2000;
unsigned long stitchDistance=15000;
unsigned long stitchMinLen=200;
int circular1=0;
int circular2=0;
string eValue=string("0.01");
string input1;
string input2;
string input3;
//ofstream errors;
//ofstream finish;


/******************************************************************/
